# Uses of Class
org.apache.sysds.runtime.functionobjects.IndexFunction

Packages that use IndexFunction
Package
Description
org.apache.sysds.runtime.functionobjects
org.apache.sysds.runtime.matrix.operators

## Uses of IndexFunction in org.apache.sysds.runtime.functionobjects

Subclasses of IndexFunction in org.apache.sysds.runtime.functionobjects
Modifier and Type
Class
Description
`class`
`DiagIndex`
`class`
`OffsetColumnIndex`
`class`
`ReduceAll`
Reduce both columns and rows into a single cell
`class`
`ReduceCol`
Reduce the columns into fewer columns, normally 1
`class`
`ReduceDiag`
`class`
`ReduceRow`
Reduce all rows into a single row.
`class`
`RevIndex`
`class`
`RollIndex`
This index function is NOT used for actual sorting but just as a reference in ReorgOperator in order to identify sort operations.
`class`
`SortIndex`
This index function is NOT used for actual sorting but just as a reference in ReorgOperator in order to identify sort operations.
`class`
`SwapIndex`

## Uses of IndexFunction in org.apache.sysds.runtime.matrix.operators

Fields in org.apache.sysds.runtime.matrix.operators declared as IndexFunction
Modifier and Type
Field
Description
`final IndexFunction`
ReorgOperator.`fn`
`final IndexFunction`
AggregateTernaryOperator.`indexFn`
`final IndexFunction`
AggregateUnaryOperator.`indexFn`
Methods in org.apache.sysds.runtime.matrix.operators with parameters of type IndexFunction
Modifier and Type
Method
Description
`ReorgOperator`
ReorgOperator.`setFn(IndexFunction fn)`
Constructors in org.apache.sysds.runtime.matrix.operators with parameters of type IndexFunction
Modifier
Constructor
Description
``
`AggregateTernaryOperator(ValueFunction inner, AggregateOperator outer, IndexFunction ixfun)`
``
`AggregateTernaryOperator(ValueFunction inner, AggregateOperator outer, IndexFunction ixfun, int numThreads)`
``
`AggregateUnaryOperator(AggregateOperator aop, IndexFunction iop)`
``
`AggregateUnaryOperator(AggregateOperator aop, IndexFunction iop, int numThreads)`
``
`CountDistinctOperator(AggregateUnaryCPInstruction.AUType opType, Types.Direction direction, IndexFunction indexFunction)`
``
`CountDistinctOperator(CountDistinctOperatorTypes operatorType, Types.Direction direction, IndexFunction indexFunction, Hash.HashType hashType)`
``
`ReorgOperator(IndexFunction p)`
``
`ReorgOperator(IndexFunction p, int numThreads)`
``
`UnarySketchOperator(AggregateOperator aop, IndexFunction indexFunction, Types.Direction direction)`
``
`UnarySketchOperator(AggregateOperator aop, IndexFunction indexFunction, Types.Direction direction, int numThreads)`